package libpam-modules 1.1.3-7ubuntu4 failed to install/upgrade: trying to overwrite shared '/usr/share/man/man8/pam_group.8.gz', which is different from other instances of package libpam-modules:i386

Bug #1095887 reported by Anders Kaseorg on 2013-01-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pam (Ubuntu)
High
Matthias Klose
Raring
High
Matthias Klose

Bug Description

Preparing to replace libpam-modules:amd64 1.1.3-7ubuntu3 (using .../libpam-modules_1.1.3-7ubuntu4_amd64.deb) ...
De-configuring libpam-modules:i386 ...
Unpacking replacement libpam-modules:amd64 ...
Preparing to replace libpam-modules:i386 1.1.3-7ubuntu3 (using .../libpam-modules_1.1.3-7ubuntu4_i386.deb) ...
Unpacking replacement libpam-modules:i386 ...
dpkg: error processing /var/cache/apt/archives/libpam-modules_1.1.3-7ubuntu4_i386.deb (--unpack):
 trying to overwrite shared '/usr/share/man/man8/pam_group.8.gz', which is different from other instances of package libpam-modules:i386
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/libpam-modules_1.1.3-7ubuntu4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 13.04
Package: libpam-modules 1.1.3-7ubuntu4
ProcVersionSignature: Ubuntu 3.7.0-7.15-generic 3.7.0
Uname: Linux 3.7.0-7-generic x86_64
NonfreeKernelModules: openafs
ApportVersion: 2.7-0ubuntu2
Architecture: amd64
Date: Thu Jan 3 20:29:13 2013
DuplicateSignature:
 Unpacking replacement libpam-modules:i386 ...
 dpkg: error processing /var/cache/apt/archives/libpam-modules_1.1.3-7ubuntu4_i386.deb (--unpack):
  trying to overwrite shared '/usr/share/man/man8/pam_group.8.gz', which is different from other instances of package libpam-modules:i386
ErrorMessage: trying to overwrite shared '/usr/share/man/man8/pam_group.8.gz', which is different from other instances of package libpam-modules:i386
InstallationDate: Installed on 2010-12-05 (760 days ago)
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
MarkForUpload: True
SourcePackage: pam
Title: package libpam-modules 1.1.3-7ubuntu4 failed to install/upgrade: trying to overwrite shared '/usr/share/man/man8/pam_group.8.gz', which is different from other instances of package libpam-modules:i386
UpgradeStatus: Upgraded to raring on 2012-11-15 (49 days ago)

Related branches

Anders Kaseorg (andersk) wrote :
Anders Kaseorg (andersk) wrote :

It looks like the amd64 and i386 packages got built against different versions of docbook-xsl, leading to this difference:

$ zdiff -U0 {amd64,i386}/usr/share/man/man8/pam_group.8.gz
--- /dev/fd/5 2013-01-03 20:35:47.813676958 -0500
+++ - 2013-01-03 20:35:47.822657041 -0500
@@ -4,2 +4,2 @@
-.\" Generator: DocBook XSL Stylesheets v1.75.2 <http://docbook.sf.net/>
-.\" Date: 06/04/2011
+.\" Generator: DocBook XSL Stylesheets v1.76.1 <http://docbook.sf.net/>
+.\" Date: 01/03/2013
@@ -10 +10 @@
-.TH "PAM_GROUP" "8" "06/04/2011" "Linux-PAM Manual" "Linux-PAM Manual"
+.TH "PAM_GROUP" "8" "01/03/2013" "Linux-PAM Manual" "Linux-PAM Manual"

tags: removed: need-duplicate-check
Steve Langasek (vorlon) wrote :

Matthias, as the uploader of this package, could you please have a look at this? The manpages are meant to be shipped pregenerated in the source package, and not be rebuilt at package build time, precisely because of this issue with mismatched content when regenerating. Looks like we might have some out-of-order timestamps going on here.

Changed in pam (Ubuntu):
assignee: nobody → Matthias Klose (doko)
importance: Undecided → High
status: New → Triaged
Matthias Klose (doko) wrote :

the patch to build with glibc-2.16 doesn't touch the man page creation.

the package offers a configure option --disable-regenerate-docu, and it looks like all the patches do include the patched generated files. so maybe enable this one by default?

another possibility is that debian/patches-applied/PAM-manpage-section doesn't have any timestamps.

Steve Langasek (vorlon) on 2013-02-12
Changed in pam (Ubuntu Raring):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.7 KiB)

This bug was fixed in the package pam - 1.1.3-8ubuntu1

---------------
pam (1.1.3-8ubuntu1) raring; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/libpam0g.postinst: the init script for 'samba' is now named
      'smbd' in Ubuntu, so fix the restart handling.
    - Change Vcs-Bzr to point at the Ubuntu branch.
    - debian/patches-applied/series: Ubuntu patches are as below ...
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix' explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches-applied/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - Build-depend on libfl-dev in addition to flex, for cross-building
      support.
    - Add /usr/local/games to PATH. LP: #110287.

pam (1.1.3-8) unstable; urgency=low

  * Confirm NMU for bug #611136; thanks to Michael Gilbert.
    - As a side effect, there will no longer be errors from reading the
      .pam_environment twice since we are now reading it 0 times.
      LP: #955032.
  * Adjust the pam_env documentation to match the module behavior resulting
    from the previous security upload. Closes: #693995.
  * debian/rules: never regenerate manpages at build time; this may cause
    build skew that breaks the world in a multiarch context. LP: #1095887.
  * debian/patches-applied/glibc-2_16-compilation-fix.patch: fix missing
    include causing build failure with eglibc 2.16. Thanks to Daniel
    Schepler <email address hidden>. Closes: #693450.
  * Ditch autoconf patch in favor of a build-dependency on dh-autoreconf,
    which will let us keep up-to-date with newer autotools. In the present
    instance, this gets us aarch64 support.
  * Install pam_timestamp_check - and while we're at it, move the manpage
    to the correct binary package. Closes: #648695.
  * Update lintian overrides to suppress some noise about hardening and
    manpages.
  * Enable audit support, by popul...

Read more...

Changed in pam (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers